Issues compiling 3.0.0 on Alpine

Building and customizing Audacity from the source code.
Forum rules
If you require help using Audacity, please post on the forum board relevant to your operating system:
Windows
Mac OS X
GNU/Linux and Unix-like
Post Reply
aptalca
Posts: 3
Joined: Wed Apr 14, 2021 2:14 pm
Operating System: GNU/Linux other

Issues compiling 3.0.0 on Alpine

Post by aptalca » Wed Apr 14, 2021 2:20 pm

Hi, I'm trying to compile 3.0.0 on Alpine and keep running into xlocale related issues and the build fails.

Here's the end of the log with all the errors:
https://pastebin.com/nk0aMzZ0

Any ideas how I can get around this?

I am able to successfully compile on ubuntu focal and tried to replicate the same steps with the equivalent dependency packages on alpine.

Thanks

steve
Site Admin
Posts: 81422
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: Issues compiling 3.0.0 on Alpine

Post by steve » Wed Apr 14, 2021 2:32 pm

Try building wxWidgets first and ensure that it is working by rebooting and then building one of the wxWidgets sample apps.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)

aptalca
Posts: 3
Joined: Wed Apr 14, 2021 2:14 pm
Operating System: GNU/Linux other

Re: Issues compiling 3.0.0 on Alpine

Post by aptalca » Wed Apr 14, 2021 3:17 pm

I get the same xlocale errors trying to compile the audacity fork of wxWidgets on Alpine

aptalca
Posts: 3
Joined: Wed Apr 14, 2021 2:14 pm
Operating System: GNU/Linux other

Re: Issues compiling 3.0.0 on Alpine

Post by aptalca » Wed Apr 14, 2021 4:20 pm

I tried compiling wxWidgets 3.15 from the official repo and hit the same issues. It looks like it's upstream rather than due to Audacity patches. I'll bring it up with them.

Thanks

Post Reply